Update 11.4.0 -> 11.4.1 with Standalone Updater: Error

Hello,

i try to update a workstation from 11.4.0 to 11.4.1 with the Stand alone updater, after normal system update via Control Center didn't worked.
But this also don't work. in the system-update.log I see the error: [Agent Version prerequisite check failed. Error : Installed agent version 11.4.0.8141 lesser than required version 11.4.0.12063]
I thought i can use the stand alone Updater to update from any version?
Or where am I thinking wrong?

br,
s.prause
  • sprause;2423389 wrote:
    Hello,

    i try to update a workstation from 11.4.0 to 11.4.1 with the Stand alone updater, after normal system update via Control Center didn't worked.
    But this also don't work. in the system-update.log I see the error: [Agent Version prerequisite check failed. Error : Installed agent version 11.4.0.8141 lesser than required version 11.4.0.12063]
    I thought i can use the stand alone Updater to update from any version?
    Or where am I thinking wrong?

    br,
    s.prause


    I'm seeing the same problem. Apparently, it's a bug in the new version. Support did mention that it may be possible to roll our own updater, but I haven't received a reply with more info about doing that.
  • Came across this in my searching...and it appears to work
    PreAgentPkg_AgentComplete.exe -d c:\temp -Z -q

    Would like to hear from someone why this appears to work fine, and isn't mentioned anywhere officially that I can find. It was in a comment on an article for creating a stand alone updater for 11.2.

    I did encounter the bug mentioned elsewhere, where the Remote Management wouldn't start. Sometimes, two dll files doesn't get updated. Copying them from another 11.4.1 system fixes it. They're the xmlparse.dll and xmltok.dll in the c:\programs files (x86)\Novell\Zenworks\bin folder.